Cyberduck Mountain Duck CLI

#7937 closed enhancement (fixed)

Client side encryption; Create encrypted vault interopable with Cryptomator

Reported by: dafresh Owned by: dkocher
Priority: normal Milestone: 6.0
Component: cryptomator Version: 4.4.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi!

It would be great if the encryption of uploaded files could be done on the client side by CyberDuck, pros :

  • more secure form the client point of view
  • unload the server, the client do all the encryption task
  • can be used with S3 compatible hosting platform that do not support server side encryption (like Ceph, and others)
  • could be protocol agnostic

Questions :

  • in the way the option could be enable or disable for each upload or sync, how to recognize encrypted and non encrypted files at the download time ? adding a .gpg suffix to all encrypted files could do the job.

Thanks for any further suggestions.

Cédric

Change History (20)

comment:1 Changed on May 7, 2014 at 7:26:22 AM by dafresh

Maybe gpg is not the better choice to do it : third party software are needed and key management could be a pain for neophyte users. What about AES ?

comment:2 Changed on May 7, 2014 at 3:21:56 PM by dkocher

  • Summary changed from Client side gpg encryption for S3 to Client side encryption
  • Version set to 4.4.4

comment:3 follow-up: Changed on May 20, 2014 at 10:03:34 AM by dafresh

Hello David,

Is there any blue prints or any target about that ?

Thanks,

Cédric

comment:4 in reply to: ↑ 3 Changed on May 20, 2014 at 7:45:52 PM by dkocher

Replying to dafresh:

Hello David,

Is there any blue prints or any target about that ?

No, I have no immediate plans for this feature. Patches are welcome.

comment:5 Changed on Mar 3, 2015 at 3:41:35 PM by dkocher

#8628 closed as duplicate.

comment:6 follow-up: Changed on Apr 15, 2015 at 2:05:28 PM by aivaras.sukackas

is there any near future plans for client side encryption?

comment:7 in reply to: ↑ 6 Changed on Apr 15, 2015 at 7:31:17 PM by dkocher

Replying to aivaras.sukackas:

is there any near future plans for client side encryption?

No, this feature is not currently scheduled in a milestone.

comment:9 Changed on Jun 3, 2016 at 2:08:38 PM by dkocher

  • Milestone set to 6.0
  • Owner changed from dkocher to yla

comment:10 Changed on Oct 17, 2016 at 2:17:41 PM by dkocher

  • Milestone changed from 6.0 to 7.0

comment:11 Changed on Oct 19, 2016 at 2:17:27 PM by dkocher

  • Milestone changed from 7.0 to 6.0

Milestone renamed

comment:12 Changed on Dec 3, 2016 at 8:48:02 AM by dkocher

  • Owner changed from yla to dkocher
  • Status changed from new to assigned

Our implementation will be based on and interoperable with Cryptomator.

comment:13 Changed on Dec 3, 2016 at 8:48:54 AM by dkocher

Forthcoming documentation on this wiki page.

comment:14 Changed on Dec 8, 2016 at 8:22:50 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In between r22480 and r22814.

comment:15 Changed on Jan 11, 2017 at 8:33:37 AM by dkocher

  • Milestone changed from 6.0 to 5.3

Milestone renamed

comment:16 Changed on Jan 11, 2017 at 8:34:14 AM by dkocher

  • Milestone changed from 5.3 to 6.0

comment:17 Changed on Jan 11, 2017 at 8:34:22 AM by dkocher

  • Component changed from s3 to cryptomator

comment:18 Changed on Jan 17, 2017 at 11:02:19 PM by dkocher

  • Summary changed from Client side encryption to Client side encryption; Create encrypted vault interopable with Cryptomator

comment:19 Changed on Apr 26, 2017 at 8:05:08 AM by dkocher

  • Priority changed from low to normal

comment:20 Changed on Apr 26, 2017 at 8:05:47 AM by dkocher

https://blog.cyberduck.io/2017/01/19/cryptomator/

You can give the Cryptomator vault support a try in the current beta builds.

Note: See TracTickets for help on using tickets.
swiss made software